curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/wms/shipments/ship-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"orderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"picklistId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"userId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"comment": "<string>",
"isPartialDelivery": true,
"packages": [
{
"positions": [
{
"picklistPositionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"data": [
{
"quantity": 123,
"serialNumber": "<string>",
"batchNumber": "<string>",
"bestBeforeDate": "2023-11-07T05:31:56Z"
}
]
}
],
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"weight": 123,
"cartons": [
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123
}
],
"sscc": "<string>",
"trackingId": "<string>",
"deliveryDate": "2023-11-07T05:31:56Z",
"cartonBinLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/wms/shipments/ship-order"
payload = {
"orderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"picklistId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"userId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"comment": "<string>",
"isPartialDelivery": True,
"packages": [
{
"positions": [
{
"picklistPositionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"data": [
{
"quantity": 123,
"serialNumber": "<string>",
"batchNumber": "<string>",
"bestBeforeDate": "2023-11-07T05:31:56Z"
}
]
}
],
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"weight": 123,
"cartons": [
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123
}
],
"sscc": "<string>",
"trackingId": "<string>",
"deliveryDate": "2023-11-07T05:31:56Z",
"cartonBinLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
orderId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
picklistId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
warehouseId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
userId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
comment: '<string>',
isPartialDelivery: true,
packages: [
{
positions: [
{
picklistPositionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
data: [
{
quantity: 123,
serialNumber: '<string>',
batchNumber: '<string>',
bestBeforeDate: '2023-11-07T05:31:56Z'
}
]
}
],
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
weight: 123,
cartons: [{itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000', quantity: 123}],
sscc: '<string>',
trackingId: '<string>',
deliveryDate: '2023-11-07T05:31:56Z',
cartonBinLocationId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/wms/shipments/ship-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ship Order
Ships an order after batch picking — packs it into packages and persists it to the database. A package is marked shipped only when its DeliveryDate is supplied (and, for shipping methods that require a tracking id, only when its TrackingId is supplied); jtl-Shipping packages complete themselves. Each package carries its positions, shipping method, weight, dimensions, optional cartons, SSCC, tracking id and delivery date.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
Request parameters
Ships an order after batch picking — packs it into packages and persists it to the database. A package is marked shipped only when its DeliveryDate is supplied (and, for shipping methods that require a tracking id, only when its TrackingId is supplied); jtl-Shipping packages complete themselves. Each package carries its positions, shipping method, weight, dimensions, optional cartons, SSCC, tracking id and delivery date. - Request
The order to ship (kAuftrag).
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The picklist associated with the order (kPickliste).
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The warehouse the packing runs on (kWarenLager).
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The packing user (kBenutzer).
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Optional packing comment (cKommentar).
Whether this is a partial delivery; drives the SP packing mode.
The packages, each with its own positions, shipping method, weight, dimensions, cartons and SSCC.
Show child attributes
Show child attributes
Response
The order was shipped successfully (persisted to the database).
Was this page helpful?